# Publishing

This document mainly exists so I ([Bauke](https://bauke.xyz)) remember how to go about publishing Love since it's a little complicated for certain platforms.

To update the version of a theme, use `yarn versioning`.

## Published to platforms

The following sections assume you have previously published a version, but are starting from a completely fresh repository.

### Visual Studio Code

1. Run `yarn build` (or `yarn build:vscode`).
2. Change into the VS Code source directory (`cd source/vscode/`).
3. Run `yarn package` to create the `.vsix` package.
4. Head to [the Marketplace Manage Extensions page](https://marketplace.visualstudio.com/manage/publishers).
5. Click on the `...` next to the current version and click on `Update`.
6. Upload the `.vsix` that was created in step 3.

#### Open VSX

Love is also published to [open-vsx.org](https://open-vsx.org/extension/Holllo/love), with the [ovsx CLI](https://yarn.pm/ovsx). To publish it, use `yarn package` to package it with VSCE and then publish the resulting `.vsix` file.

An access token is also required, defined as `OVSX_PAT`. For example, to publish version 0.1.4, the following commands would be used:

1. `yarn package` to create the `.vsix` package (if it doesn't already exist).
2. `OVSX_PAT=<token> yarn ovsx publish love-0.1.4.vsix`.

## Published to the website

The following integrations aren't yet/can't be published to platforms, so mostly no special procedure needs to happen. They are just built and served on the website directly.

* Firefox (if updated, the links need to be updated on the website too, may get published [to AMO](https://git.holllo.cc/Holllo/love/issues/1)).
* Kitty.
* Sublime Text (may get published [at some point](https://git.holllo.cc/Holllo/love/issues/2)).
* Tauon.
